PHPExcel_Shared

# Class: PHPExcel_Shared_XMLWriter

Source Location: /PHPExcel/Shared/XMLWriter.php

### Class Overview

    XMLWriter
       |
       --PHPExcel_Shared_XMLWriter

PHPExcel_Shared_XMLWriter

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Constants

- STORAGE_DISK
- STORAGE_MEMORY

### Methods

- __construct
- __destruct
- getData
- writeRawData

### Inherited Methods

#### Class: XMLWriter (Internal Class)

endAttribute ( )
endCdata ( )
endComment ( )
endDocument ( )
endDtd ( )
endDtdAttlist ( )
endDtdElement ( )
endDtdEntity ( )
endElement ( )
endPi ( )
flush ( [$empty = ] )
fullEndElement ( )
openMemory ( )
openUri ( $uri )
outputMemory ( [$flush = ] )
setIndent ( $indent )
setIndentString ( $indentString )
startAttribute ( $name )
startAttributeNs ( $prefix, $name, $uri )
startCdata ( )
startComment ( )
startDocument ( [$version = ], [$encoding = ], [$standalone = ] )
startDtd ( $qualifiedName, [$publicId = ], [$systemId = ] )
startDtdAttlist ( $name )
startDtdElement ( $qualifiedName )
startDtdEntity ( $name, $isparam )
startElement ( $name )
startElementNs ( $prefix, $name, $uri )
startPi ( $target )
text ( $content )
writeAttribute ( $name, $value )
writeAttributeNs ( $prefix, $name, $uri, $content )
writeCdata ( $content )
writeComment ( $content )
writeDtd ( $name, [$publicId = ], [$systemId = ], [$subset = ] )
writeDtdAttlist ( $name, $content )
writeDtdElement ( $name, $content )
writeDtdEntity ( $name, $content )
writeElement ( $name, [$content = ] )
writeElementNs ( $prefix, $name, $uri, [$content = ] )
writePi ( $target, $content )
writeRaw ( $content )

### Class Details

[line 44]
PHPExcel_Shared_XMLWriter

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 62]

`PHPExcel_Shared_XMLWriter __construct( [int $pTemporaryStorage = self::STORAGE_MEMORY], [string $pTemporaryStorageFolder = NULL])`

Create a new PHPExcel_Shared_XMLWriter instance

#### Tags:

access: | public

#### Parameters:

int | $pTemporaryStorage | Temporary storage location
string | $pTemporaryStorageFolder | Temporary storage folder

[ Top ]

### destructor __destruct [line 88]

`void __destruct( )`

Destructor

#### Tags:

access: | public

[ Top ]

### method getData [line 100]

`$data getData( )`

Get written data

#### Tags:

access: | public

[ Top ]

### method writeRawData [line 115]

`string writeRawData( string $text)`

Fallback method for writeRaw, introduced in PHP 5.2

#### Tags:

access: | public

#### Parameters:

string | $text |

[ Top ]

### Class Constants

#### STORAGE_DISK = 2

[line 47]

[ Top ]

#### STORAGE_MEMORY = 1

[line 46]

Temporary storage method
[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:18:18 +0200 by phpDocumentor 1.4.4